Contact Us
  • Home
  • Documentation
  • Core Weather API
  • MinuteCast™ API
  • Lightning API
  • Enterprise APIs
  • Pricing
  • FAQ
Company
  • Proven Superior Accuracy
  • About AccuWeather
  • Digital Advertising
  • Careers
  • Press
  • Privacy
  • Terms of Use
  • Brand Guidelines
  • Privacy Settings
Products & Services
  • For Business
  • For Partners
  • For Advertising
  • AccuWeather Enterprise APIs
  • AccuWeather Connect
  • Personal Weather Stations
Subscription Services
  • AccuWeather Premium
  • AccuWeather Professional
Apps & Downloads
  • iPhone App
  • Android App
  • See all Apps & Downloads

© 2026 AccuWeather, Inc.

xXfacebookFacebookinstagramInstagram
Information
Current Conditions
Daily Forecasts
Hourly Forecasts
Alerts
Locations
    Location Key
      Neighboring location data by location keygetLocation search by location keyget
    List
    Autocomplete
    Text Search
    Geoposition
    IP Address
Indices
Tropical
Alarms
Imagery Maps
Translations
Schemas
Core Weather
Core Weather

Location Key


Neighboring location data by location key

GET
https://dataservice.accuweather.com
/locations/v1/cities/neighbors/{locationKey}

Specify a location key to return location data about all neighboring locations.

Neighboring location data by location key › path Parameters

locationKey
​integer · int32 · required

A unique ID that designates a specific location. More information can be found here.

Example: 349727

Neighboring location data by location key › query Parameters

language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
details
​boolean

A boolean value that specifies whether or not to include extended information.

Default: false
format
​string

A string value that specifies what type of format to provide the response.

Default: json

Neighboring location data by location key › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Neighboring location data by location key › Responses

OK

​API.Locations.Entities.OpenAPI.Location[]
API.Locations.Entities.OpenAPI.Location
PrimaryPostalCode
​string · minLength: 1 · required

Official postal code provided by our main location data provider for the requested location

​required

The object containing the region details

​required

The object containing the timezone details

​required

The object containing the geoposition details

IsAlias
​boolean · required

“True” or “false” verification of whether a location is an “alias” or an alternative name or spelling for a requested location

​API.Locations.Entities.OpenAPI.SupplementalAdminArea[] · required

The object containing a list of administrative area details

DataSets
​string[] · required

Array of location-specific products that are available for this location. Products include Alerts, PremiumAirQuality, AirQuality, MinuteCast, and ForecastConfidence. If no location-specific products are available, the array will be empty.

EnglishName
​string · minLength: 1 · required

Location name as displayed in English

Version
​integer · int32 · required

Current version of the API

Key
​string · minLength: 1 · required

Unique ID to search a location

Type
​string · minLength: 1 · required

Location type such as City, PostalCode, POI or LatLong

Rank
​integer · int32 · required

Number applied to locations set by factors such as population, political importance, and geographic size

LocalizedName
​string · minLength: 1 · required

Display name in local dialect set with language code in URL. Default is US English (us-en)

​required

THe object containing the country details

​required

The object containing the amdministrative area details

​

The object containing the parentcity details. This object will be displayed only if the location is part of a larger metropolitan area or parent city.

​

AccuWeather related details about the specific location

GET/locations/v1/cities/neighbors/{locationKey}
curl https://dataservice.accuweather.com/locations/v1/cities/neighbors/:locationKey \ --header 'Authorization: <api-key>'
Example Responses
[ { "PrimaryPostalCode": "PrimaryPostalCode", "Region": {}, "TimeZone": {}, "GeoPosition": {}, "IsAlias": true, "ParentCity": {}, "SupplementalAdminAreas": [ { "Level": 0, "LocalizedName": "LocalizedName", "EnglishName": "EnglishName" } ], "DataSets": [ "string" ], "Details": {}, "EnglishName": "EnglishName", "Version": 0, "Key": "Key", "Type": "Type", "Rank": 0, "LocalizedName": "LocalizedName", "Country": {}, "AdministrativeArea": {} } ]
json
application/json

Location search by location key

GET
https://dataservice.accuweather.com
/locations/v1/{locationKey}

Specify a location key to return location data.

Location search by location key › path Parameters

locationKey
​string · required

A unique ID that designates a specific location. More information can be found here.

Example: 349727

Location search by location key › query Parameters

language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
details
​boolean

A boolean value that specifies whether or not to include extended information.

Default: false
format
​string

A string value that specifies what type of format to provide the response.

Default: json

Location search by location key › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Location search by location key › Responses

OK

API.Locations.Entities.OpenAPI.Location
PrimaryPostalCode
​string · minLength: 1 · required

Official postal code provided by our main location data provider for the requested location

​required

The object containing the region details

​required

The object containing the timezone details

​required

The object containing the geoposition details

IsAlias
​boolean · required

“True” or “false” verification of whether a location is an “alias” or an alternative name or spelling for a requested location

​API.Locations.Entities.OpenAPI.SupplementalAdminArea[] · required

The object containing a list of administrative area details

DataSets
​string[] · required

Array of location-specific products that are available for this location. Products include Alerts, PremiumAirQuality, AirQuality, MinuteCast, and ForecastConfidence. If no location-specific products are available, the array will be empty.

EnglishName
​string · minLength: 1 · required

Location name as displayed in English

Version
​integer · int32 · required

Current version of the API

Key
​string · minLength: 1 · required

Unique ID to search a location

Type
​string · minLength: 1 · required

Location type such as City, PostalCode, POI or LatLong

Rank
​integer · int32 · required

Number applied to locations set by factors such as population, political importance, and geographic size

LocalizedName
​string · minLength: 1 · required

Display name in local dialect set with language code in URL. Default is US English (us-en)

​required

THe object containing the country details

​required

The object containing the amdministrative area details

​

The object containing the parentcity details. This object will be displayed only if the location is part of a larger metropolitan area or parent city.

​

AccuWeather related details about the specific location

GET/locations/v1/{locationKey}
curl https://dataservice.accuweather.com/locations/v1/:locationKey \ --header 'Authorization: <api-key>'
Example Responses
{ "PrimaryPostalCode": "PrimaryPostalCode", "Region": {}, "TimeZone": {}, "GeoPosition": {}, "IsAlias": true, "ParentCity": {}, "SupplementalAdminAreas": [ { "Level": 0, "LocalizedName": "LocalizedName", "EnglishName": "EnglishName" } ], "DataSets": [ "string" ], "Details": {}, "EnglishName": "EnglishName", "Version": 0, "Key": "Key", "Type": "Type", "Rank": 0, "LocalizedName": "LocalizedName", "Country": {}, "AdministrativeArea": {} }
json
application/json

Location KeyList